package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.StoreCollection;


/**
*  service接口类
*/
public interface StoreCollectionService{

    List<StoreCollection> getStoreCollectionList(StoreCollection record);

    List<StoreCollection> getStoreCollectionByPage(Page page, StoreCollection record);

    StoreCollection getStoreCollectionById(String id);

    StoreCollection getStoreCollection(StoreCollection record);

    boolean createStoreCollection(StoreCollection record);

    boolean deleteStoreCollection(String id);

    boolean updateStoreCollection(StoreCollection record);
}

